# Initiate bulk scan evaluation

Triggers firewall policy evaluation for multiple artifacts

Endpoint: POST /har/api/v3/scans/bulk-evaluate
Version: 1.0
Security: x-api-key

## Query parameters:

  - `account_identifier` (string, required)
    Unique identifier for the Harness account.

  - `org_identifier` (string)
    Unique identifier for the organization within the account.

Example: default or engineering_org

  - `project_identifier` (string)
    Unique identifier for the project within the organization.

Example: my_project or frontend_services

## Request fields (application/json):

  - `artifacts` (array, required)
    List of artifacts to evaluate

  - `artifacts.packageName` (string, required)
    Name of the package

  - `artifacts.version` (string, required)
    Version of the package

  - `registryId` (string, required)
    Registry identifier

## Response 202 fields (application/json):

  - `data` (object)
    Response data for bulk scan evaluation request

  - `data.evaluationId` (string)
    Unique evaluation ID for tracking the bulk scan evaluation

## Response default fields (application/json):

  - `error` (object, required)

  - `error.code` (string)
    For some errors that could be handled programmatically, a short string indicating the [error code](https://docs.stripe.com/error-codes) reported.

  - `error.message` (string)
    A human-readable message providing more details about the error. These messages can be shown to users.

  - `error.param` (string)
    If the error is parameter-specific, the parameter related to the error. For example, we can use this to display a message near the correct form field.

  - `error.type` (string, required)
    The type of error returned.
    Enum: "INVALID_REQUEST_ERROR", "AUTHENTICATION_ERROR", "PERMISSION_ERROR", "API_ERROR"


